## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 23
%bcond_without check
%global debug_package %{nil}

%global crate num-format

Name:           rust-num-format
Version:        0.4.4
Release:        %autorelease
Summary:        String representations of numbers, formatted according to international standards

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/num-format
Source:         %{crates_source}
# Automatically generated patch to strip foreign dependencies
Patch:          num-format-fix-metadata-auto.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Rust crate for producing string-representations of numbers, formatted according
to international standards.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+cfg-if-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cfg-if-devel %{_description}

This package contains library source intended for building other packages which
use the "cfg-if" feature of the "%{crate}" crate.

%files       -n %{name}+cfg-if-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+encoding_rs-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+encoding_rs-devel %{_description}

This package contains library source intended for building other packages which
use the "encoding_rs" feature of the "%{crate}" crate.

%files       -n %{name}+encoding_rs-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+lazy_static-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+lazy_static-devel %{_description}

This package contains library source intended for building other packages which
use the "lazy_static" feature of the "%{crate}" crate.

%files       -n %{name}+lazy_static-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+libc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libc-devel %{_description}

This package contains library source intended for building other packages which
use the "libc" feature of the "%{crate}" crate.

%files       -n %{name}+libc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+num-bigint-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+num-bigint-devel %{_description}

This package contains library source intended for building other packages which
use the "num-bigint" feature of the "%{crate}" crate.

%files       -n %{name}+num-bigint-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+with-num-bigint-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+with-num-bigint-devel %{_description}

This package contains library source intended for building other packages which
use the "with-num-bigint" feature of the "%{crate}" crate.

%files       -n %{name}+with-num-bigint-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+with-serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+with-serde-devel %{_description}

This package contains library source intended for building other packages which
use the "with-serde" feature of the "%{crate}" crate.

%files       -n %{name}+with-serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+with-system-locale-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+with-system-locale-devel %{_description}

This package contains library source intended for building other packages which
use the "with-system-locale" feature of the "%{crate}" crate.

%files       -n %{name}+with-system-locale-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%ifarch armv7hl i686
# https://github.com/bcmyers/num-format/issues/26
%cargo_test -- -- --skip test_usize --skip test_non_zero_usize --skip test_isize
%else
%cargo_test
%endif
%endif

%changelog
* Mon Jan 15 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.4.4-1
- Rebuilt for MSVSphere 9.3

* Sun Dec 04 2022 Fabio Valentini <decathorpe@gmail.com> - 0.4.4-1
- Update to version  0.4.4; Fixes RHBZ#2133310

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Nov 18 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.4.0-1
- Initial import; Fixes: RHBZ#2021341
